Public Attributes

# IVRDEServerInfo Interface Reference

Contains information about the remote desktop (VRDE) server capabilities and status. More...

List of all members.

## Public Attributes
readonly attribute boolean | active
| Whether the remote desktop connection is active.
readonly attribute long | port
| VRDE server port number.
readonly attribute unsigned long | numberOfClients
| How many times a client connected.
readonly attribute long long | beginTime
| When the last connection was established, in milliseconds since 1970-01-01 UTC.
readonly attribute long long | endTime
| When the last connection was terminated or the current time, if connection is still active, in milliseconds since 1970-01-01 UTC.
readonly attribute long long | bytesSent
| How many bytes were sent in last or current, if still active, connection.
readonly attribute long long | bytesSentTotal
| How many bytes were sent in all connections.
readonly attribute long long | bytesReceived
| How many bytes were received in last or current, if still active, connection.
readonly attribute long long | bytesReceivedTotal
| How many bytes were received in all connections.
readonly attribute wstring | user
| Login user name supplied by the client.
readonly attribute wstring | domain
| Login domain name supplied by the client.
readonly attribute wstring | clientName
| The client name supplied by the client.
readonly attribute wstring | clientIP
| The IP address of the client.
readonly attribute unsigned long | clientVersion
| The client software version number.
readonly attribute unsigned long | encryptionStyle
| Public key exchange method used when connection was established.

## Detailed Description

Contains information about the remote desktop (VRDE) server capabilities and status.

This is used in the IConsole::VRDEServerInfo attribute.

Interface ID:
  `{714434A1-58C3-4AAB-9049-7652C5DF113B}`

## Member Data Documentation

readonly attribute boolean IVRDEServerInfo::active

Whether the remote desktop connection is active.

readonly attribute long IVRDEServerInfo::port

VRDE server port number.

If this property is equal to `0`, then the VRDE server failed to start, usually because there are no free IP ports to bind to. If this property is equal to `-1`, then the VRDE server has not yet been started.

readonly attribute unsigned long IVRDEServerInfo::numberOfClients

How many times a client connected.

readonly attribute long long IVRDEServerInfo::beginTime

When the last connection was established, in milliseconds since 1970-01-01 UTC.

readonly attribute long long IVRDEServerInfo::endTime

When the last connection was terminated or the current time, if connection is still active, in milliseconds since 1970-01-01 UTC.

readonly attribute long long IVRDEServerInfo::bytesSent

How many bytes were sent in last or current, if still active, connection.

readonly attribute long long IVRDEServerInfo::bytesSentTotal

How many bytes were sent in all connections.

readonly attribute long long IVRDEServerInfo::bytesReceived

How many bytes were received in last or current, if still active, connection.

readonly attribute long long IVRDEServerInfo::bytesReceivedTotal

How many bytes were received in all connections.

readonly attribute wstring IVRDEServerInfo::user

Login user name supplied by the client.

readonly attribute wstring IVRDEServerInfo::domain

Login domain name supplied by the client.

readonly attribute wstring IVRDEServerInfo::clientName

The client name supplied by the client.

readonly attribute wstring IVRDEServerInfo::clientIP

The IP address of the client.

readonly attribute unsigned long IVRDEServerInfo::clientVersion

The client software version number.

readonly attribute unsigned long IVRDEServerInfo::encryptionStyle

Public key exchange method used when connection was established.

Values: 0 - RDP4 public key exchange scheme. 1 - X509 certificates were sent to client.